Get all price kinds - Fabric
Get all price kinds
cURL
curl --request POST \
--url https://live.copilot.fabric.inc/api-offers/price-kind \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"limit": 10,
"page": 1
}
'
Python
import requests
url = "https://live.copilot.fabric.inc/api-offers/price-kind"
payload = {
"limit": 10,
"page": 1
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({limit: 10, page: 1})
};
fetch('https://live.copilot.fabric.inc/api-offers/price-kind', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live.copilot.fabric.inc/api-offers/price-kind",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",\n CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 10,
'page' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://live.copilot.fabric.inc/api-offers/price-kind"
payload := strings.NewReader("{\n \"limit\": 10,\n \"page\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Ruby
require 'uri'
require 'net/http'
url = URI("https://live.copilot.fabric.inc/api-offers/price-kind")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 10,\n \"page\": 1\n}"
response = http.request(request)
puts response.read_body
Responses
200
[
{
"priceKindId": 10000001,
"name": "PRICE_KIND_01",
"channel": 123,
"isActive": true,
"isSoftDeleted": false
}
]
400
{
"code": "BAD_REQUEST",
"message": "Bad Request"
}
500
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
x-site-context
- Type: string
- Required: Yes
- Description: The
x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
- Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
- Type: application/json
- Parameters:
- limit: number (default: 10)
- Description: The maximum number of records per page.
- Example:
10
- page: number
- Description: The page number to be returned and
page is always paired with limit
- Example:
1
Response
- Type: application/json
- 200: OK
- Parameters:
- priceKindId: number (Pricekind ID)
- name: string (Name of the price kind)
- channel: number (Sales channel of the price kind from which the request is made)
- isActive: boolean (true: price kind is active and being applied to SKUs.)
- isSoftDeleted: boolean (true: price kind is removed from the list)